Redmine - Defect #3003

Error raised by reposman.rb under Windows server 2003
2011-03-27 16:43 - Jingyu Zhou

Status: Closed Start date: 2011-03-27
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM extra Estimated time: 0.00 hour
Target version: 1.1.3

Resolution: Fixed Affected version:

Description

| found a little bug in extra\svn\reposman.rb file.

When | run this script to create svn repository under Windows Server 2003, it failed:
unable to create D:\SVNRepo\test1 : undefined method “uid' for nil:NilClass

| checked the code and found the function "set_owner_and_rights”, so | try to modify this line:
if RUBY_PLATFORM =~ /mswin/

to:

if mswin?

The problem fixed.

Associated revisions

Revision 5232 - 2011-03-27 18:58 - Jean-Philippe Lang

Fixed windows detection in reposman.rb (#8003).

History

#1 - 2011-03-27 17:00 - Toshi MARUYAMA
- Category set to SCM extra

#2 - 2011-03-27 18:58 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from A little bug of reposman.rb under Windows to Error raised by reposman.rb under Windows server 2003
- Status changed from New to Resolved

- Target version set to 1.1.3

- Resolution set to Fixed

Fixed in r5232, thanks for pointing this out.

#3 - 2011-04-29 09:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2011-10-25 12:32 - Chester Martin
